For the complete documentation index, see llms.txt.
Manifests
POST
/api/manifests/shipmentsManifest Orders
Retrieve a list of shipment ids based on the tracking numbers or order numbers that have been supplied. These ids can be passed as a parameter to the manifest orders endpoint.
Manifests
Create manifests and retrieve manifest data for carrier handover.
4 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/manifests/shipments
Details
Retrieve a list of shipment ids based on the tracking numbers or order numbers that have been supplied. These ids can be passed as a parameter to the manifest orders endpoint.
Request Parameters
Manifest Shipments Response
Request body
{
"tracking_numbers":[
"ABCD1234567890XYZ",
"ON12345"
],
"use_order_numbers": true
}Response examples
Manifest Orders (200)
{
"pdf": "manifestreport",
"file_name": "manifest.pdf",
"success": true
}